Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Create brands

Bulk-creates brands. Successful entities are returned in data; per-item failures in errors keyed by slug.

POST/api/v2/{team_slug}/{app_slug}/brands
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
Request body
requiredapplication/json
brandsCreateBrandItem[]required
min items 1 · max items 20
Show properties
Array of CreateBrandItem
namestringrequired
slugstringrequired
descriptionstring | null
emailstring | null
cover_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
logo_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
addressBrandAddress | null
Show properties
Any of:
BrandAddress
street_addressstringrequired
co_addressstring | null
citystringrequired
state_provincestring | null
house_numberstring | null
postal_codestringrequired
countrystringrequired
null
null
Responses
201

Created (partial success possible)

dataBrand[]required
Show properties
Array of Brand
idUUIDrequired
namestringrequired
slugstringrequired
coverBrandImage | null
Show properties
Any of:
BrandImage
idUUIDrequired
titlestring | null
urlstringrequired
null
null
logoBrandImage | null
Show properties
Any of:
BrandImage
idUUIDrequired
titlestring | null
urlstringrequired
null
null
descriptionstring | null
emailstring | null
addressBrandAddress
Show properties
street_addressstringrequired
co_addressstring | null
citystringrequired
state_provincestring | null
house_numberstring | null
postal_codestringrequired
countrystringrequired
created_atstring<date-time>required
updated_atstring<date-time> | null
seriesBrandSeries[] | null
Show properties
Array of BrandSeries
idUUIDrequired
namestringrequired
slugstringrequired
coverBrandImage | null
Show properties
Any of:
BrandImage
BrandImage
null
null
logoBrandImage | null
Show properties
Any of:
BrandImage
BrandImage
null
null
descriptionstring | null
emailstring | null
created_atstring<date-time>
updated_atstring<date-time> | null
translationsBrandTranslation
translationsBrandTranslation
Show properties
descriptionTranslation[]
Show properties
Array of Translation
idUUID
localestring
valuestring
errorsBrandError[]required
Show properties
Array of BrandError
slugstring
idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
messagestringrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://api.enad.io/api/v2/string/string/brands' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "brands": [
    {
      "name": "string",
      "slug": "string",
      "description": "string",
      "email": "string",
      "cover_id": "0eeb2f0b-28dd-48c9-bbaf-be203aed31f5",
      "logo_id": "1e12da27-d253-43f5-9f73-dd2101ceac0d",
      "address": {
        "street_address": "string",
        "co_address": "string",
        "city": "string",
        "state_province": "string",
        "house_number": "string",
        "postal_code": "string",
        "country": "string"
      }
    }
  ]
}'
Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "slug": "string",
      "cover": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "title": "string",
        "url": "string"
      },
      "logo": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "title": "string",
        "url": "string"
      },
      "description": "string",
      "email": "string",
      "address": {
        "street_address": "string",
        "co_address": "string",
        "city": "string",
        "state_province": "string",
        "house_number": "string",
        "postal_code": "string",
        "country": "string"
      },
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "series": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "slug": "string",
          "cover": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "title": "string",
            "url": "string"
          },
          "logo": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "title": "string",
            "url": "string"
          },
          "description": "string",
          "email": "string",
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z",
          "translations": {
            "description": [
              {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "locale": "string",
                "value": "string"
              }
            ]
          }
        }
      ],
      "translations": {
        "description": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ]
      }
    }
  ],
  "errors": [
    {
      "slug": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "message": "string"
    }
  ]
}